Overview
Comment: | Added support for the Thread package if asked to compile a threaded Tcl |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
021ebbd5e8c8865e84d1afc21900f00e |
User & Date: | rkeene on 2010-09-26 04:41:28 |
Other Links: | manifest | tags |
Context
2010-09-26
| ||
04:41 |
Clarified licensing terms
Updated "clean"/"distclean" options to clean optional packages check-in: e251d16623 user: rkeene tags: trunk | |
04:41 | Added support for the Thread package if asked to compile a threaded Tcl check-in: 021ebbd5e8 user: rkeene tags: trunk | |
04:41 | Added support for specifying a STRIP environment variable check-in: d2e00f0f73 user: rkeene tags: trunk | |
Changes
Modified kitcreator from [b45aa7beb7] to [b2dce588fe].
︙ | ︙ | |||
18 19 20 21 22 23 24 25 26 27 | shift mode="distclean" fi CONFIGUREEXTRA="$@" export CONFIGUREEXTRA failedpkgs="" buildfailed="0" | > > > > > | | 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 | shift mode="distclean" fi CONFIGUREEXTRA="$@" export CONFIGUREEXTRA # Add packages implied by the additional arguments if echo " ${CONFIGUREEXTRA} " | grep ' --enable-threads' >/dev/null 2>/dev/null; then ADDPKGS="${ADDPKGS} thread" fi failedpkgs="" buildfailed="0" for pkg in tcl tk itcl mk4tcl tclvfs zlib ${ADDPKGS} kitsh; do if [ "${mode}" = "distclean" ]; then rm -rf "${pkg}/src" fi if [ "${mode}" = "clean" -o "${mode}" = "distclean" ]; then rm -f "${pkg}/build.log" rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build" |
︙ | ︙ |
Added thread/build.sh version [6ffd493472].
> > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 | #! /bin/bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi THREADVERS="2.6.5" SRC="src/thread-${THREADVERS}.tar.gz" SRCURL="http://sourceforge.net/projects/tcl/files/Thread%20Extension/${THREADVERS}/thread${THREADVERS}.tar.gz/download" BUILDDIR="$(pwd)/build/thread${THREADVERS}" OUTDIR="$(pwd)/out" INSTDIR="$(pwd)/inst" export ITCLVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR rm -rf 'build' 'out' 'inst' mkdir 'build' 'out' 'inst' || exit 1 if [ ! -f "${SRC}" ]; then mkdir 'src' >/dev/null 2>/dev/null rm -f "${SRC}.tmp" wget -O "${SRC}.tmp" "${SRCURL}" || exit 1 mv "${SRC}.tmp" "${SRC}" fi ( cd 'build' || exit 1 if [ ! -d '../buildsrc' ]; then gzip -dc "../${SRC}" | tar -xf - else cp -rp ../buildsrc/* './' fi cd "${BUILDDIR}" || exit 1 ./configure --enable-shared --disable-symbols --prefix="${INSTDIR}" --exec-prefix="${INSTDIR}" --with-tcl="${TCLCONFIGDIR}" ${CONFIGUREEXTRA} ${MAKE:-make} || exit 1 ${MAKE:-make} install mkdir "${OUTDIR}/lib" || exit 1 cp -r "${INSTDIR}/lib"/thread*/ "${OUTDIR}/lib/" "${STRIP:-strip}" -g "${OUTDIR}"/lib/thread*/*.so >/dev/null 2>/dev/null exit 0 ) || exit 1 exit 0 |